# Uses of Record Class
org.apache.lucene.monitor.HighlightsMatch.Hit

- ## Uses of HighlightsMatch.Hit in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return types with arguments of type HighlightsMatch.Hit
  Modifier and Type
  Method
  Description
  `Map<String,Set<HighlightsMatch.Hit>>`
  HighlightsMatch.`getHits()`
  `Collection<HighlightsMatch.Hit>`
  HighlightsMatch.`getHits(String field)`
  Get the hits for a specific field
  Methods in org.apache.lucene.monitor with parameters of type HighlightsMatch.Hit
  Modifier and Type
  Method
  Description
  `int`
  HighlightsMatch.Hit.`compareTo(HighlightsMatch.Hit other)`